function [bin_prob] = f_TVPSV(X,params,bin_edges)
    
    sigma = sqrt(params(:,end));
    mu    = X*params(:,1:end-1)';

    bin_prob = normcdf((bin_edges(2:end) - mu) ./ sigma) - ...
               normcdf((bin_edges(1:end-1) - mu) ./ sigma);

end